Module java.desktop
Package java.beans.beancontext

## Class BeanContextSupport.BCSIterator

- java.lang.Object
- - java.beans.beancontext.BeanContextSupport.BCSIterator

- All Implemented Interfaces:
    `Iterator<Object>`
  Enclosing class:
    BeanContextSupport

      protected static final class BeanContextSupport.BCSIterator
      extends Object
      implements Iterator<Object>

  protected final subclass that encapsulates an iterator but implements a noop remove() method.

- - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`